# Create booking with reservation ID Confirm a reservation and convert it into a full appointment with customer data. Endpoint: POST /v1/booker-services/appointments/confirm Version: 0.0.4 Security: BookerSecretAuth ## Response 200 fields (application/json): - `data` (object) Generic response data object for proxied GraphQL entities. Example: {"id":"65f4c840b6f1a10012ab34cd","externalId":"ext_1001","name":"Demo value"} - `status` (integer) Operation status flag. Example: 1 ## Response 401 fields (application/json): - `error` (string, required) Error message. Example: "Invalid request payload" - `name` (string) Error class name. Example: "BadRequestError" - `errorCode` (string) Application-specific error code. Example: 2 - `details` (object) Structured error details. Example: {"query":{"page":"invalid"}} - `extras` (object,null) Extra error metadata from downstream services. Example: {"code":"GRAPHQL_VALIDATION_FAILED"} ## Response 500 fields (application/json): - `error` (string, required) Error message. Example: "Invalid request payload" - `name` (string) Error class name. Example: "BadRequestError" - `errorCode` (string) Application-specific error code. Example: 2 - `details` (object) Structured error details. Example: {"query":{"page":"invalid"}} - `extras` (object,null) Extra error metadata from downstream services. Example: {"code":"GRAPHQL_VALIDATION_FAILED"}